Compare commits

...

11 Commits

Author SHA1 Message Date
Chris Titus
3871c9fdcd
Merge e5fdbfff7d1893b531d0120bdee814f5798124ec into a6ccaf4a4ee664835f476c8ac4742b5077e4a03a 2025-02-05 11:08:31 -06:00
Chris Titus
e5fdbfff7d
Update core/tabs/system-setup/arch/hyprland-kool.sh
Co-authored-by: nyx <nnyyxxxx@protonmail.com>
2025-02-05 11:08:29 -06:00
Chris Titus
6e20e3366a
Update core/tabs/system-setup/arch/hyprland-kool.sh
Co-authored-by: nyx <nnyyxxxx@protonmail.com>
2025-02-05 11:08:21 -06:00
Chris Titus
7ec3333f82
Update core/tabs/system-setup/arch/hyprland-kool.sh
Co-authored-by: nyx <nnyyxxxx@protonmail.com>
2025-02-05 11:08:13 -06:00
Chris Titus
f37778dc21
Update core/tabs/system-setup/arch/hyprland-kool.sh
Co-authored-by: nyx <nnyyxxxx@protonmail.com>
2025-02-05 11:08:06 -06:00
Chris Titus
2b17c04898
Update core/tabs/system-setup/debian/hyprland-kool-deb.sh
Co-authored-by: nyx <nnyyxxxx@protonmail.com>
2025-02-05 11:07:58 -06:00
Chris Titus
7fa4d2dcf0
Update core/tabs/system-setup/debian/hyprland-kool-deb.sh
Co-authored-by: nyx <nnyyxxxx@protonmail.com>
2025-02-05 11:07:49 -06:00
Chris Titus
ad05a0d468
Update core/tabs/system-setup/arch/hyprland-kool.sh
Co-authored-by: nyx <nnyyxxxx@protonmail.com>
2025-02-05 11:07:36 -06:00
Chris Titus
5731a9b855
Update core/tabs/system-setup/fedora/hyprland-kool-fed.sh
Co-authored-by: nyx <nnyyxxxx@protonmail.com>
2025-02-05 11:07:23 -06:00
Chris Titus
d69c4e1de8
Update core/tabs/system-setup/debian/hyprland-kool-deb.sh
Co-authored-by: nyx <nnyyxxxx@protonmail.com>
2025-02-05 11:07:15 -06:00
Chris Titus
b83cee7ef7
Update core/tabs/system-setup/arch/hyprland-kool.sh
Co-authored-by: nyx <nnyyxxxx@protonmail.com>
2025-02-05 11:07:06 -06:00
3 changed files with 12 additions and 8 deletions

View File

@ -1,13 +1,15 @@
#!/bin/bash
echo "Hyprland JaKooLit"
. ../../common-script.sh
printf "%b\n" "${YELLOW}Starting Hyprland JaKooLit installation${RC}"
if ! pacman -Q base-devel &>/dev/null; then
echo "Installing base-devel..."
sudo pacman -S --noconfirm base-devel
printf "%b\n" "${YELLOW}Installing base-devel...${RC}"
"$ESCALATION_TOOL" pacman -S --noconfirm base-devel
fi
git clone --depth=1 https://github.com/JaKooLit/Arch-Hyprland.git ~/Arch-Hyprland
cd ~/Arch-Hyprland
git clone --depth=1 https://github.com/JaKooLit/Arch-Hyprland.git "$HOME/Arch-Hyprland" || { printf "%b\n" "${RED}Failed to clone Jakoolits Arch-Hyprland repo${RC}"; exit 1; }
cd "$HOME/Arch-Hyprland"
chmod +x install.sh
./install.sh

View File

@ -1,7 +1,9 @@
#!/bin/bash
. ../../common-script.sh
echo "Hyprland JaKooLit"
git clone --depth=1 https://github.com/JaKooLit/Debian-Hyprland.git ~/Debian-Hyprland
cd ~/Debian-Hyprland
git clone --depth=1 https://github.com/JaKooLit/Debian-Hyprland.git "$HOME/Debian-Hyprland" || { printf "%b\n" "${RED}Failed to clone Jakoolits Debian-Hyprland repo${RC}"; exit 1; }
cd "$HOME/Debian-Hyprland"
chmod +x install.sh
./install.sh

View File

@ -3,6 +3,6 @@
echo "Hyprland JaKooLit"
git clone --depth=1 https://github.com/JaKooLit/Fedora-Hyprland.git ~/Fedora-Hyprland
cd ~/Fedora-Hyprland
cd "$HOME/Fedora-Hyprland"
chmod +x install.sh
./install.sh